Getting Started

If I use Firefox or another browser, can I still use All 4 on channel4.com?

You will be able to use the All 4 service in a Firefox browser. There are no specific Firefox browser requirements, however we recommend that you use the latest version of Firefox for the best user experience. If you use Safari, again we recommend that you use the latest version. If you use a browser other than IE, Firefox or Safari, you should be able to access this site; however, the user experience may not be as satisfactory.

Not found what you are looking for yet?

Try using the search facility, or click on the contact us button below.